Package org.globus.gsi

# Class X509ProxyCertPathValidatorResult

java.lang.Object
org.globus.gsi.X509ProxyCertPathValidatorResult

All Implemented Interfaces:
  `Cloneable`, `CertPathValidatorResult`

public class X509ProxyCertPathValidatorResult extends Object implements CertPathValidatorResult
FILL ME

Author:
  ranantha@mcs.anl.gov

## Constructor Summary

Constructors
Constructor
Description
`X509ProxyCertPathValidatorResult(X509Certificate initIdentityCertificate)`
`X509ProxyCertPathValidatorResult(X509Certificate initIdentityCertificate, boolean initLimited)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
Makes a copy of this `CertPathValidatorResult`.
`X509Certificate`
`getIdentityCertificate()`
`boolean`
`isLimited()`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### X509ProxyCertPathValidatorResult

public X509ProxyCertPathValidatorResult(X509Certificate initIdentityCertificate)

### X509ProxyCertPathValidatorResult

public X509ProxyCertPathValidatorResult(X509Certificate initIdentityCertificate, boolean initLimited)

## Method Details

### getIdentityCertificate

public X509Certificate getIdentityCertificate()

### isLimited

public boolean isLimited()

### clone

public Object clone()
Makes a copy of this `CertPathValidatorResult`. Changes to the copy will not affect the original and vice versa.

Specified by:
  `clone` in interface `CertPathValidatorResult`
Overrides:
  `clone` in class `Object`
Returns:
  a copy of this `CertPathValidatorResult`